Bug 111120 - [PATCH] lang/perl5.8: Provide @INC modification via options.
Summary: [PATCH] lang/perl5.8: Provide @INC modification via options.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: skv
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-02 02:40 UTC by Ian A. Tegebo
Modified: 2009-01-13 21:40 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.patch (1.00 KB, patch)
2007-04-02 02:40 UTC, Ian A. Tegebo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ian A. Tegebo 2007-04-02 02:40:03 UTC
There doesn't seem to be an easy way to change @INC over the whole site; the
attached patch makes it as easy as pkgtools.conf to configure perl's @INC.
You can either:
	a) Specify at build time, WITH_LIBDIRS=PATH1:PATH2:...
	or b) Use ${SITE_PERL}/sitecustomize.pl to do whatever @INC munging
	you need which can be turned on as WITH_SITE_CUSTOMIZE=yes.
See perldoc INSTALL in the source distribution for details.
Comment 1 Edwin Groothuis freebsd_committer 2007-04-02 02:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tobez

Over to maintainer
Comment 2 Anton Berezin freebsd_committer 2008-11-24 13:43:29 UTC
Responsible Changed
From-To: tobez->skv

lang/perl5* got a new maintainer
Comment 3 dfilter service freebsd_committer 2009-01-13 21:39:00 UTC
skv         2009-01-13 21:38:50 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    Mk                   bsd.perl.mk 
    lang/perl5.8         Makefile Makefile.man distinfo pkg-plist 
    lang/perl5.8/files   patch-freebsd.sh patch-perl.c 
  Added files:
    lang/perl5.8/files   patch-sv.c 
  Removed files:
    lang/perl5.8/files   patch-makedepend patch-utf-regcomp 
  Log:
  Update to 5.8.9
  
  Also:
  
  - add option SITECUSTOMIZE which enable -Dusesitecustomize [1]
  
  - add patch against sv_dup() bug causes memory corruption in threaded perl [2]
  
  Changes:        http://search.cpan.org/~nwclark/perl-5.8.9/pod/perl589delta.pod
  PR:             111120 [1], 130033 [2]
  Submitted by:   "Ian A. Tegebo" <yontege xx dev-mug.rescomp.berkeley.edu> [1],
                  kevin brintnall <kbrint xx rufus.net> [2]
  
  Revision  Changes    Path
  1.10      +3 -3      ports/Mk/bsd.perl.mk
  1.754     +10 -1     ports/UPDATING
  1.98      +13 -8     ports/lang/perl5.8/Makefile
  1.6       +33 -1     ports/lang/perl5.8/Makefile.man
  1.25      +9 -9      ports/lang/perl5.8/distinfo
  1.5       +12 -27    ports/lang/perl5.8/files/patch-freebsd.sh
  1.5       +0 -10     ports/lang/perl5.8/files/patch-makedepend (dead)
  1.5       +25 -23    ports/lang/perl5.8/files/patch-perl.c
  1.1       +21 -0     ports/lang/perl5.8/files/patch-sv.c (new)
  1.2       +0 -95     ports/lang/perl5.8/files/patch-utf-regcomp (dead)
  1.42      +168 -136  ports/lang/perl5.8/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 skv freebsd_committer 2009-01-13 21:40:11 UTC
State Changed
From-To: open->closed

Added option SITECUSTOMIZE.